org.eclipse.net4j.util.ui.widgets

## Class FirstChildLayout

- java.lang.Object
- - org.eclipse.swt.widgets.Layout
  - - org.eclipse.net4j.util.ui.widgets.FirstChildLayout

-     public class FirstChildLayout
      extends Layout

  Since:
    3.5
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FirstChildLayout()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Point` | `computeSize(Composite composite, int wHint, int hHint, boolean flushCache)`
    `protected boolean` | `flushCache(Control control)`
    `protected void` | `layout(Composite composite, boolean flushCache)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FirstChildLayout

          public FirstChildLayout()

  - ### Method Detail

    - #### computeSize

          protected Point computeSize(Composite composite,
                                      int wHint,
                                      int hHint,
                                      boolean flushCache)

      Specified by:
        `computeSize` in class `Layout`

    - #### flushCache

          protected boolean flushCache(Control control)

      Overrides:
        `flushCache` in class `Layout`

    - #### layout

          protected void layout(Composite composite,
                                boolean flushCache)

      Specified by:
        `layout` in class `Layout`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html